better mercurial integration with hgweb
Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

the svn integration is very nice - something like that would be great for mercurial as well.

History

#1 - 2008-02-27 10:41 - Piero Sartini

isn't it possible to re-use the subversion parts for access control?

i played around with it but my perl skills are by far not good enough to get this working.

I tried it like this:

  ScriptAliasMatch   ^/hg(.*)    /path/to/repos/hg/hgwebdir.cgi$1

  <Directory /path/to/repos/hg/>

    Options ExecCGI FollowSymLinks

    AllowOverride None

     AuthType Basic

     AuthName redmine

     Require valid-user

     PerlAccessHandler Apache::Authn::Redmine::access_handler

#     PerlAuthenHandler Apache::Authn::Redmine::authen_handler

    PerlSetVar dsn DBI:Pg:dbname=redmine;host=myhost

     PerlSetVar db_user redmine

     PerlSetVar db_pass mypassword

#    AuthBasicAuthoritative Off

  </Directory>

 I get the following error:

[error] Internal error: pcfg_openfile() called with NULL filename

 After asking google, the problem seems to be that both, hgwebdir.cgi as well as the PerlAccessHandler from redMine want to control the

authentication. Unfortunately it doesn't help to set "AuthBasicAuthoritative Off".

I think this would be a great addition to redmine. Maybe this is no real problem for someone with better perl skills...

#2 - 2011-01-07 12:15 - Toshi MARUYAMA

- Category set to SCM

#3 - 2011-01-07 12:16 - Toshi MARUYAMA

- Subject changed from better mercurial integration to better mercurial integration with hgweb

#4 - 2011-02-07 22:14 - Alessio Caiazza

Apache configuration for Mercurial repositories

Can it be marked as Resolved?

#5 - 2011-03-24 07:26 - Toshi MARUYAMA

- Category changed from SCM to SCM extra
